package com.muyu.many.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.many.domain.req.MessageAnalysisEditReq;
import com.muyu.many.domain.req.MessageAnalysisQueryReq;
import com.muyu.many.domain.req.MessageAnalysisSaveReq;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 报文解析对象 message_analysis
 *
 * @author wan
 * @date 2024-06-28
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("message_analysis")
@ApiModel(value = "MessageAnalysis", description = "报文解析")
public class MessageAnalysis{


    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    @Excel(name = "车辆ID")
    @ApiModelProperty(name = "车辆ID", value = "车辆ID")
    private Long vehicleId;

    /** 指标项key */
    @Excel(name = "指标项key")
    @ApiModelProperty(name = "指标项key", value = "指标项key")
    private String analyzeKey;

    /** 起始位 */
    @Excel(name = "起始位")
    @ApiModelProperty(name = "起始位", value = "起始位")
    private Long analyzeStart;

    /** 终止位 */
    @Excel(name = "终止位")
    @ApiModelProperty(name = "终止位", value = "终止位")
    private Long ent;

    /** 指标项标签 */
    @Excel(name = "指标项标签")
    @ApiModelProperty(name = "指标项标签", value = "指标项标签")
    private String lable;

    /** 类型 */
    @Excel(name = "类型")
    @ApiModelProperty(name = "类型", value = "类型")
    private String type;

    /**
    * 查询构造器
    */
    public static MessageAnalysis queryBuild(MessageAnalysisQueryReq messageAnalysisQueryReq){
        return MessageAnalysis.builder()
                .vehicleId(messageAnalysisQueryReq.getVehicleId())
                .analyzeKey(messageAnalysisQueryReq.getAnalyzeKey())
                .analyzeStart(messageAnalysisQueryReq.getAnalyzeStart())
                .ent(messageAnalysisQueryReq.getEnt())
                .lable(messageAnalysisQueryReq.getLable())
                .type(messageAnalysisQueryReq.getType())
                .build();
    }

    /**
    * 添加构造器
    */
    public static MessageAnalysis saveBuild(MessageAnalysisSaveReq messageAnalysisSaveReq){
        return MessageAnalysis.builder()
                .vehicleId(messageAnalysisSaveReq.getVehicleId())
                .analyzeKey(messageAnalysisSaveReq.getAnalyzeKey())
                .analyzeStart(messageAnalysisSaveReq.getAnalyzeStart())
                .ent(messageAnalysisSaveReq.getEnt())
                .lable(messageAnalysisSaveReq.getLable())
                .type(messageAnalysisSaveReq.getType())
                .build();
    }

    /**
    * 修改构造器
    */
    public static MessageAnalysis editBuild(Long id, MessageAnalysisEditReq messageAnalysisEditReq){
        return MessageAnalysis.builder()
            .id(id)
                .vehicleId(messageAnalysisEditReq.getVehicleId())
                .analyzeKey(messageAnalysisEditReq.getAnalyzeKey())
                .analyzeStart(messageAnalysisEditReq.getAnalyzeStart())
                .ent(messageAnalysisEditReq.getEnt())
                .lable(messageAnalysisEditReq.getLable())
                .type(messageAnalysisEditReq.getType())
                .build();
    }

}
