package com.muyu.many.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.many.domain.req.MessageConfigurationTypeEditReq;
import com.muyu.many.domain.req.MessageConfigurationTypeQueryReq;
import com.muyu.many.domain.req.MessageConfigurationTypeSaveReq;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 报文配置类型对象 message_configuration_type
 *
 * @author wan
 * @date 2024-06-28
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("message_configuration_type")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "MessageConfigurationType", description = "报文配置类型")
public class MessageConfigurationType extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 类型名称 */
    @Excel(name = "类型名称")
    @ApiModelProperty(name = "类型名称", value = "类型名称")
    private String typeName;

    /** 类型标识 */
    @Excel(name = "类型标识")
    @ApiModelProperty(name = "类型标识", value = "类型标识")
    private String typeIdentification;

    /**
    * 查询构造器
    */
    public static MessageConfigurationType queryBuild( MessageConfigurationTypeQueryReq messageConfigurationTypeQueryReq){
        return MessageConfigurationType.builder()
                .typeName(messageConfigurationTypeQueryReq.getTypeName())
                .typeIdentification(messageConfigurationTypeQueryReq.getTypeIdentification())
                .build();
    }

    /**
    * 添加构造器
    */
    public static MessageConfigurationType saveBuild(MessageConfigurationTypeSaveReq messageConfigurationTypeSaveReq){
        return MessageConfigurationType.builder()
                .typeName(messageConfigurationTypeSaveReq.getTypeName())
                .typeIdentification(messageConfigurationTypeSaveReq.getTypeIdentification())
                .build();
    }

    /**
    * 修改构造器
    */
    public static MessageConfigurationType editBuild(Long id, MessageConfigurationTypeEditReq messageConfigurationTypeEditReq){
        return MessageConfigurationType.builder()
            .id(id)
                .typeName(messageConfigurationTypeEditReq.getTypeName())
                .typeIdentification(messageConfigurationTypeEditReq.getTypeIdentification())
                .build();
    }

}
