package com.muyu.many.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.many.domain.req.SlideLengthEditReq;
import com.muyu.many.domain.req.SlideLengthQueryReq;
import com.muyu.many.domain.req.SlideLengthSaveReq;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 滑动长度对象 slide_length
 *
 * @author wan
 * @date 2024-06-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("slide_length")
@ApiModel(value = "SlideLength", description = "滑动长度")
public class SlideLength {


    /** id */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "id", value = "id")
    private Long id;

    /** 滑动长度名称 */
    @Excel(name = "滑动长度名称")
    @ApiModelProperty(name = "滑动长度名称", value = "滑动长度名称")
    private String slideLengthName;

    /** 占比 */
    @Excel(name = "占比")
    @ApiModelProperty(name = "占比", value = "占比")
    private BigDecimal slideLengthProportion;

    /**
    * 查询构造器
    */
    public static SlideLength queryBuild( SlideLengthQueryReq slideLengthQueryReq){
        return SlideLength.builder()
                .slideLengthName(slideLengthQueryReq.getSlideLengthName())
                .slideLengthProportion(slideLengthQueryReq.getSlideLengthProportion())
                .build();
    }

    /**
    * 添加构造器
    */
    public static SlideLength saveBuild(SlideLengthSaveReq slideLengthSaveReq){
        return SlideLength.builder()
                .slideLengthName(slideLengthSaveReq.getSlideLengthName())
                .slideLengthProportion(slideLengthSaveReq.getSlideLengthProportion())
                .build();
    }

    /**
    * 修改构造器
    */
    public static SlideLength editBuild(Long id, SlideLengthEditReq slideLengthEditReq){
        return SlideLength.builder()
            .id(id)
                .slideLengthName(slideLengthEditReq.getSlideLengthName())
                .slideLengthProportion(slideLengthEditReq.getSlideLengthProportion())
                .build();
    }

}
