package com.muyu.many.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.many.domain.req.SlidingInfoEditReq;
import com.muyu.many.domain.req.SlidingInfoQueryReq;
import com.muyu.many.domain.req.SlidingInfoSaveReq;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 滑窗对象 sliding_info
 *
 * @author wan
 * @date 2024-06-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sliding_info")
@ApiModel(value = "SlidingInfo", description = "滑窗")
public class SlidingInfo {


    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** VIN */
    @Excel(name = "VIN")
    @ApiModelProperty(name = "VIN", value = "VIN")
    private String vehicleVin;

    /** 报文解析ID */
    @Excel(name = "报文解析ID")
    @ApiModelProperty(name = "报文解析ID", value = "报文解析ID")
    private Long messageKye;

    /** 指标项Key */
    @Excel(name = "指标项Key")
    @ApiModelProperty(name = "指标项Key", value = "指标项Key")
    private String analyzeKey;

    /** 指标项标签 */
    @Excel(name = "指标项标签")
    @ApiModelProperty(name = "指标项标签", value = "指标项标签")
    private String messageLabel;

    /** 标准 */
    @Excel(name = "标准")
    @ApiModelProperty(name = "标准", value = "标准")
    private Long standard;

    /** 滑窗范围 */
    @Excel(name = "滑窗范围")
    @ApiModelProperty(name = "滑窗范围", value = "滑窗范围")
    private Long windowRadiusId;

    /** 滑动长度 */
    @Excel(name = "滑动长度")
    @ApiModelProperty(name = "滑动长度", value = "滑动长度")
    private Long slideLengthId;

    /**
    * 查询构造器
    */
    public static SlidingInfo queryBuild( SlidingInfoQueryReq slidingInfoQueryReq){
        return SlidingInfo.builder()
                .vehicleVin(slidingInfoQueryReq.getVehicleVin())
                .build();
    }

    /**
    * 添加构造器
    */
    public static SlidingInfo saveBuild(SlidingInfoSaveReq slidingInfoSaveReq){
        return SlidingInfo.builder()
                .vehicleVin(slidingInfoSaveReq.getVehicleVin())
                .messageKye(slidingInfoSaveReq.getMessageKye())
                .analyzeKey(slidingInfoSaveReq.getAnalyzeKey())
                .messageLabel(slidingInfoSaveReq.getMessageLabel())
                .standard(slidingInfoSaveReq.getStandard())
                .windowRadiusId(slidingInfoSaveReq.getWindowRadiusId())
                .slideLengthId(slidingInfoSaveReq.getSlideLengthId())
                .build();
    }

    /**
    * 修改构造器
    */
    public static SlidingInfo editBuild(Long id, SlidingInfoEditReq slidingInfoEditReq){
        return SlidingInfo.builder()
            .id(id)
                .vehicleVin(slidingInfoEditReq.getVehicleVin())
                .messageKye(slidingInfoEditReq.getMessageKye())
                .analyzeKey(slidingInfoEditReq.getAnalyzeKey())
                .messageLabel(slidingInfoEditReq.getMessageLabel())
                .standard(slidingInfoEditReq.getStandard())
                .windowRadiusId(slidingInfoEditReq.getWindowRadiusId())
                .slideLengthId(slidingInfoEditReq.getSlideLengthId())
                .build();
    }

}
