package com.muyu.many.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.many.domain.req.WindowEditReq;
import com.muyu.many.domain.req.WindowQueryReq;
import com.muyu.many.domain.req.WindowSaveReq;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 滑窗范围对象 window
 *
 * @author wan
 * @date 2024-06-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("window")
@ApiModel(value = "Window", description = "滑窗范围")
public class Window{


    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 滑窗范围名称 */
    @Excel(name = "滑窗范围名称")
    @ApiModelProperty(name = "滑窗范围名称", value = "滑窗范围名称")
    private String windowRadiusName;

    /** 滑窗长度 */
    @Excel(name = "滑窗长度")
    @ApiModelProperty(name = "滑窗长度", value = "滑窗长度")
    private Long windowRadiusLength;

    /**
    * 查询构造器
    */
    public static Window queryBuild( WindowQueryReq windowQueryReq){
        return Window.builder()
                .windowRadiusName(windowQueryReq.getWindowRadiusName())
                .windowRadiusLength(windowQueryReq.getWindowRadiusLength())
                .build();
    }

    /**
    * 添加构造器
    */
    public static Window saveBuild(WindowSaveReq windowSaveReq){
        return Window.builder()
                .windowRadiusName(windowSaveReq.getWindowRadiusName())
                .windowRadiusLength(windowSaveReq.getWindowRadiusLength())
                .build();
    }

    /**
    * 修改构造器
    */
    public static Window editBuild(Long id, WindowEditReq windowEditReq){
        return Window.builder()
            .id(id)
                .windowRadiusName(windowEditReq.getWindowRadiusName())
                .windowRadiusLength(windowEditReq.getWindowRadiusLength())
                .build();
    }

}
