package com.muyu.many.domain.req;

import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 报文类型数据对象 message_data
 *
 * @author wan
 * @date 2024-06-28
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "MessageDataSaveReq", description = "报文类型数据")
public class MessageDataSaveReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */

    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 报文标签 */

    @ApiModelProperty(name = "报文标签", value = "报文标签")
    private String messageLabel;

    /** 指标Key */

    @ApiModelProperty(name = "指标Key", value = "指标Key")
    private String analyzeKey;

    /** 起始位 */

    @ApiModelProperty(name = "起始位", value = "起始位")
    private String initiationPosition;

    /** 终止位 */

    @ApiModelProperty(name = "终止位", value = "终止位")
    private String terminatePosition;

    /** 报文类型 */

    @ApiModelProperty(name = "报文类型", value = "报文类型")
    private String typeIdentification;

}
