package com.muyu.many.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 滑窗对象 sliding_info
 *
 * @author wan
 * @date 2024-06-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "SlidingInfoEditReq", description = "滑窗")
public class SlidingInfoEditReq {


    /** VIN */
    @ApiModelProperty(name = "VIN", value = "VIN")
    private String vehicleVin;

    /** 报文解析ID */
    @ApiModelProperty(name = "报文解析ID", value = "报文解析ID")
    private Long messageKye;

    /** 指标项Key */
    @ApiModelProperty(name = "指标项Key", value = "指标项Key")
    private String analyzeKey;

    /** 指标项标签 */
    @ApiModelProperty(name = "指标项标签", value = "指标项标签")
    private String messageLabel;

    /** 标准 */
    @ApiModelProperty(name = "标准", value = "标准")
    private Long standard;

    /** 滑窗范围 */
    @ApiModelProperty(name = "滑窗范围", value = "滑窗范围")
    private Long windowRadiusId;

    /** 滑动长度 */
    @ApiModelProperty(name = "滑动长度", value = "滑动长度")
    private Long slideLengthId;

}
