package com.muyu.authentication.rabbitmq.enterprise;

import com.alibaba.fastjson.JSON;
import com.muyu.authentication.mapper.MessageAnalysisMapper;
import com.muyu.authentication.mapper.VehicleMapper;
import com.muyu.clw.common.many.datasource.holder.DynamicDataSourceHolder;
import com.muyu.many.domain.MessageAnalysis;
import com.muyu.many.domain.Vehicle;
import com.muyu.many.domain.mq.MessageData;
import com.muyu.many.domain.mq.MessageDataEnterpriseMq;
import lombok.extern.log4j.Log4j2;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName EnterpriseMq
 * @Author AnNan.Wang
 * @Date 2024/6/28 18:51
 */

@Log4j2
@Component
public class EnterpriseMq {
    @Autowired
    private MessageAnalysisMapper messageAnalysisMapper;

    @Autowired
    private StringRedisTemplate redisTemplate;
    @Autowired
    private VehicleMapper vehicleMapper;


    @RabbitListener(queues = "1")
    public void discoverTime(String message){
        log.info("开始消费");

    }
}
