package com.muyu.authentication.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.authentication.mapper.MessageConfigurationTypeMapper;
import com.muyu.authentication.service.MessageConfigurationTypeService;
import com.muyu.common.core.utils.ObjUtils;
import com.muyu.many.domain.MessageConfigurationType;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 报文配置类型Service业务层处理
 *
 * @author wan
 * @date 2024-06-28
 */
@Slf4j
@Service
public class MessageConfigurationTypeServiceImpl extends ServiceImpl<MessageConfigurationTypeMapper, MessageConfigurationType> implements MessageConfigurationTypeService {

    /**
     * 查询报文配置类型列表
     *
     * @param messageConfigurationType 报文配置类型
     * @return 报文配置类型
     */
    @Override
    public List<MessageConfigurationType> list(MessageConfigurationType messageConfigurationType) {
        LambdaQueryWrapper<MessageConfigurationType> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(messageConfigurationType.getTypeName())){
            queryWrapper.like(MessageConfigurationType::getTypeName, messageConfigurationType.getTypeName());
        }

        if (ObjUtils.notNull(messageConfigurationType.getTypeIdentification())){
            queryWrapper.eq(MessageConfigurationType::getTypeIdentification, messageConfigurationType.getTypeIdentification());
        }





        return list(queryWrapper);
    }
}
