package com.muyu.authentication.service.impl;

import java.util.List;

import com.muyu.authentication.mapper.SlideLengthMapper;
import com.muyu.authentication.service.SlideLengthService;
import com.muyu.common.core.utils.ObjUtils;
import com.muyu.many.domain.SlideLength;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 滑动长度Service业务层处理
 *
 * @author wan
 * @date 2024-06-29
 */
@Slf4j
@Service
public class SlideLengthServiceImpl extends ServiceImpl<SlideLengthMapper, SlideLength>  implements SlideLengthService {

    @Autowired
    private SlideLengthMapper slideLengthMapper;
    /**
     * 查询滑动长度列表
     *
     * @param slideLength 滑动长度
     * @return 滑动长度
     */
    @Override
    public List<SlideLength> list(SlideLength slideLength) {
        LambdaQueryWrapper<SlideLength> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(slideLength.getSlideLengthName())){
            queryWrapper.like(SlideLength::getSlideLengthName, slideLength.getSlideLengthName());
        }

        if (ObjUtils.notNull(slideLength.getSlideLengthProportion())){
            queryWrapper.eq(SlideLength::getSlideLengthProportion, slideLength.getSlideLengthProportion());
        }
        return list(queryWrapper);
    }

    @Override
    public List<SlideLength> slideLengthList() {
        return slideLengthMapper.selectList(null);
    }
}
