package com.muyu.authentication.service.impl;

import java.util.List;

import com.muyu.authentication.mapper.WindowMapper;
import com.muyu.authentication.service.WindowService;
import com.muyu.common.core.utils.ObjUtils;
import com.muyu.many.domain.Window;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 滑窗范围Service业务层处理
 *
 * @author wan
 * @date 2024-06-29
 */
@Slf4j
@Service
public class WindowServiceImpl extends ServiceImpl<WindowMapper, Window>  implements WindowService {

    @Autowired
    private WindowMapper mapper;
    /**
     * 查询滑窗范围列表
     *
     * @param window 滑窗范围
     * @return 滑窗范围
     */
    @Override
    public List<Window> list(Window window) {
        LambdaQueryWrapper<Window> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(window.getWindowRadiusName())){
            queryWrapper.like(Window::getWindowRadiusName, window.getWindowRadiusName());
        }

        if (ObjUtils.notNull(window.getWindowRadiusLength())){
            queryWrapper.eq(Window::getWindowRadiusLength, window.getWindowRadiusLength());
        }
        return list(queryWrapper);
    }

    @Override
    public List<Window> windowList() {
        return mapper.selectList(null);
    }
}
